Page MenuHomePhabricator

efl_canvas_vg_node: fix the implemenation function of the efl_canvas_vg_node(evas_object_above_get, evas_object_below_get)
ClosedPublic

Authored by herb on May 6 2020, 5:23 AM.

Details

Summary

There are wrong implemenation codes in the above and below get objects of efl_canvas_vg_node functin.
and made it working correctly.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
herb created this revision.May 6 2020, 5:23 AM
herb requested review of this revision.May 6 2020, 5:23 AM
jsuya requested changes to this revision.May 6 2020, 6:55 PM
jsuya added inline comments.
src/lib/evas/canvas/efl_canvas_vg_node.c
515–518

Is there any reason not to use efl_canvas_vg_container_children_get?

This revision now requires changes to proceed.May 6 2020, 6:55 PM
jsuya added a comment.May 6 2020, 7:01 PM

The code before modification refers to the location information of the object to be searched. However, the modified code does not consider the location information. This can make to compatibility issues.

The code before modification refers to the location information of the object to be searched. However, the modified code does not consider the location information. This can make to compatibility issues.

I think we should not rely on location of objects for this API to work.

jsuya added a comment.May 7 2020, 7:05 PM

@singh.amitesh ok. I got it. Thanks for comment

src/lib/evas/canvas/efl_canvas_vg_node.c
478–479

@herb Also delete the local functions used in the previous code.

herb updated this revision to Diff 30198.May 11 2020, 1:09 AM

update code

herb updated this revision to Diff 30199.May 11 2020, 1:22 AM

update codes

herb updated this revision to Diff 30200.May 11 2020, 1:26 AM

update codes

jsuya accepted this revision.May 11 2020, 5:12 PM
This revision is now accepted and ready to land.May 11 2020, 5:12 PM
This revision was automatically updated to reflect the committed changes.